# DETH Initialization file.
# Any lines preceeded with a # are just handled as comments
# Remember to setup the path to the main IWAD in the .cfg files in the config directory.

# -+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+
# STARTUP OPTIONS 
# -+-+-+-+-+-+-+-

# Set this and DETH will stop reporting it's startup options.
showconfig = false

# This has something to do with the funny message displayed when DETH starts...
reminder1 = false


# -+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+
# LOAD OPTIONS 
# -+-+-+-+-+-+

# Game data to use.
#gamedef = config\config.dm1
gamedef = config\config.dm2
#gamedef = config\config.her

# Name of any patch wads you want to load.
#file = e1m1.wad
#file = map01.wad


# -+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+
# USER PREFERENCE
# -+-+-+-+-++-+-+

# Set this for fewer confirmation boxes.
expert = true

# Use this to control the amount of noises.
#quiet = true
#quieter = true

# Set this to disable the internal Node builder
bsp = false
#splitfactor = 8

# Set this to Quit with 'Q' (remember, there is no confirmation in expert mode)
# If you don't set it then 'Q' will bring up the Save As box.
#qisquit = true

# Set this to show things with the direction showing all the time.
thingangle = true

# Set this if you don't want to unselect all previously selected objects when
# you use the selection box (Shift-MouseButton1, Shift-M).
addselbox = true

# Set this for confirmation of mergeing vertices when in expert mode.
#vertconf = true

# Uncomment this if you don't like to have the object 0 selected when you
# switch from one editing mode to another.
select0 = false

# Set this if you want to swap the mouse buttons by default.
#swapbuttons = true


# -+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+
# PREFERENCES MENU (F5)
# -+-+-+-+-+-+-+-+-+-+-

# Default Textures and preferences.  You may want to change these values...
walltexture = BIGBRIK1
uppertexture = BIGBRIK1
lowertexture = BIGBRIK1
ceiltexture = FLOOR7_1
floortexture = RROCK09
doortrack = DOORTRAK
doortexture = BIGDOOR4
upperstep = STEPTOP
lowerstep = STEP6
teletexture = GATE1
ceilheight = 256
floorheight = 0

# Set the value to increment floor and ceiling heights with the hot-keys
# The default value is 16. You can change this value in the preference menu.
increment = 8

# Set a value to choose how close to a line you have to be to split it 
# when Inserting Vertices, you can change this when editing with F5.
# The default is one point away from the line.
closetoline = 2


# -+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+
# DISPLAY OPTIONS
# -+-+-+-+-+-+-+-

# 0-standard VGA, 1-640x480x256, 2-640x480x256, 3-800x600x256, 4-1024x768x256
bgi = VESA
video = 3

# Use this to hide the bottom info bar (displayed by default).
#infobar = false

# Use this to use the alternative info bar (on by default).
#altinfo = false

# Set this option to true and view the map as if you were playing doom also F7
#altmapstyle = true

# Set this option to true and view the doors and keys in the correct colour
# only works if altmapstyle = true
#altdoorstyle = true

# When set to true this option will show the map in True Auto-Map style
# no things will be shown and no gray 2 sided lines, only works if altmapstyle
# has been set 
#trueautomap = true

# Set this to see the graphic of the highlighted object (on by default).
#dispsprite = false

# Scroll factor.
# The default is 10.
largescroll = 8

# Default zoomed in factor upon editing the level the first time.
# The default setting is 6
zoom = 9

# Set this to draw squares instead of circles when using the Ruler.
# Some video cards can't support drawing of circles properly.
squarecircles = true

# Set this if you have an old mouse driver and you don't see the cursor.
fakecursor = true

# Set this to use the optional color set.
#color2 = true

#set this to control the grid scales defaults are 4 and 512
#valid values are 1,2,4,8,16,32,64,128,256,512 & 1024
mingrid = 1
maxgrid = 256

# -+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+

# Set this to turn debugging on, this will create a deth.log file.
#debug = true
